%define name audacious-dumb
%define version 0.42
%define release %mkrel 1

Summary: MOD player plugin for Audacious based on DUMB
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.netswarm.net/misc/%name-%version.tar.bz2
License: GPL
Group: Sound
Url: http://www.netswarm.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dumb-devel
BuildRequires: libaudacious-devel
Requires: audacious
Provides: beep-media-player-dumb
Obsoletes: beep-media-player-dumb

%description
This is a plugin for Audacious that can play IT/XM/S3M/MOD files.

%prep
%setup -q
%build
%make CC="gcc -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/audacious/Input
cp *.so %buildroot%_libdir/audacious/Input/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_libdir/audacious/Input/*.so




%changelog
* Tue Jul 17 2007 Götz Waschk <waschk@mandriva.org> 0.42-1mdv2008.0
+ Revision: 52955
- new version


* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.24-3mdv2007.0
+ Revision: 125920
- rebuild

* Mon Oct 30 2006 Götz Waschk <waschk@mandriva.org> 0.24-2mdv2007.1
+ Revision: 73728
- rebuild

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.24-1mdv2007.1
+ Revision: 64494
- Import audacious-dumb

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.24-1mdv2007.1
- New version 0.24

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
- rebuild for new audacious

* Sat Jun 03 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
- switch to the audacious port

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 0.1-3mdk
- rebuild for new audaciou

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.1-2mdk
- rebuild for new libaudacious
- use mkrel

* Fri Dec 02 2005 Götz Waschk <waschk@mandriva.org> 0.1-1mdk
- rename from beep-media-player-dumb

* Fri Sep 30 2005 Götz Waschk <waschk@mandriva.org> 0.1-1mdk
- initial package

